POST api/{area}/WareHouse/GetWareHouse
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| area | string |
None. |
Body Parameters
DriverRegInfo1| Name | Description | Type | Additional information |
|---|---|---|---|
| userInfo | UserInfo1 |
None. |
|
| usercode | string |
None. |
|
| openid | string |
None. |
|
| userid | string |
None. |
|
| status | integer |
None. |
|
| timestamp | integer |
None. |
|
| driverinfo | Driverinfo1 |
None. |
Request Formats
application/json, text/json
Sample:
{
"userInfo": {
"nickName": "sample string 1",
"gender": 2,
"language": "sample string 3",
"city": "sample string 4",
"province": "sample string 5",
"country": "sample string 6",
"avatarUrl": "sample string 7"
},
"usercode": "sample string 1",
"openid": "sample string 2",
"userid": "sample string 3",
"status": 4,
"timestamp": 5,
"driverinfo": {
"weixinno": "sample string 1",
"drivername": "sample string 2",
"truckno": "sample string 3",
"phone": "sample string 4",
"country": "sample string 5"
}
}
application/xml, text/xml
Sample:
<DriverRegInfo1 xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Pror.P2API.Areas.WMS.Models">
<driverinfo>
<country>sample string 5</country>
<drivername>sample string 2</drivername>
<phone>sample string 4</phone>
<truckno>sample string 3</truckno>
<weixinno>sample string 1</weixinno>
</driverinfo>
<openid>sample string 2</openid>
<status>4</status>
<timestamp>5</timestamp>
<userInfo>
<avatarUrl>sample string 7</avatarUrl>
<city>sample string 4</city>
<country>sample string 6</country>
<gender>2</gender>
<language>sample string 3</language>
<nickName>sample string 1</nickName>
<province>sample string 5</province>
</userInfo>
<usercode>sample string 1</usercode>
<userid>sample string 3</userid>
</DriverRegInfo1>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |